;;; FLX_APPM.LSP
;;; ==================================================================
;;; Provided by Felix Computer Aided Technologies GmbH 1995-97
;;; ==================================================================
;;; Changed: Jan  20, 1996 / vp
;;; Changed: Sept 29, 1996 / vp
;;;          June 10, 1997 / vp (getfiled ... 16) for 3.0
;;; ==================================================================
;;; Application Managament Functions
;;; File is loaded from FLX_MAIN.LSP
;;; See also: LISTFILE in flx_lstf.lsp
;;; ==================================================================

;;; ------------------------------------------------------------------
;;;  SET TEMPLATE DRAWING

(defun C:TEMPLATE ( / tile fn template flag)
    (setfunhelp "C:TEMPLATE" "Template Drawing")
    (setq title "Set template drawing")
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:TEMPLATE" "Vorlagezeichnung")
      (setq title "Vorlagezeichnung setzen")
    ))
    (defun *ERROR*(msg) (setq *ERROR* nil)(princ))
    (setq template (getvar "FCTEMPLATE"))
    (setq flag 16)
    (if (setq fn (getfiled title template "flx" flag)) ;; modified for 3.0 vp
      (setvar "FCTEMPLATE" fn)
    )
    (setq *ERROR* nil) (princ)
)

;;; ------------------------------------------------------------------
;;; RUNMACRO

(defun C:RUNMACRO( / header cfg fn)
    (setfunhelp "C:RUNMACRO" "MACRO")
    (setq header "Run Macro File")
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:RUNMACRO" "MACRO")
      (setq header "Macro Datei ausfhren")
    ))
    (defun *ERROR*(msg) (setq *ERROR* nil)(setvar "FILEDIA" 1)(princ))
    (if (setq fn (getfiled header "" "mcr" 0))
      (progn
         (setvar "FILEDIA" 0)
         (command ".MACRO" fn)
      )
    )
    (setvar "FILEDIA" 1)
    (setq *ERROR* nil)
    (princ)
)

;;; ------------------------------------------------------------------
;;; DLGEDIT: Calls the Dialog and Menu Editor (dme.exe)

(defun C:DLGEDIT( / prt_list fn fn2)
    (setfunhelp "C:DLGEDIT" "Resource Manager")
    (setq prt_list '(
       "Call Dialog and Menu Editor"
       "No file specified to be edited with DME."
    ))
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:DLGEDIT" "Applikations-Manager")
      (setq prt_list '(
         "Men- und Dialogeditor aufrufen"
         "Keine Datei spezifiziert, die mit DME bearbeitet werden soll." 
      ))
    ))
    (if (setq fn (getfiled (nth 0 prt_list) "" "mnp,mnu,dlg" 0))
       (progn
         (setq fn2 (if (setq fn2 (findfile "dme.exe")) fn2 "dme.exe"))
         (if (findfile fn)
           (CALL_WINEXE (strcat fn2 " -d " fn))
           (CALL_WINEXE (strcat fn2))
         )
       )
       (princ (nth 1 prt_list))
    )
    (princ)
) 

;;; ------------------------------------------------------------------
;;; BMPEDIT: Calls Bitmap Editor / Uses: pbrush.exe 

(defun C:BMPEDIT( / prt_list fn)
    (setfunhelp "C:BMPEDIT" "Resource Manager")
    (setq prt_list '(
       "Edit Bitmap using Pbrush"
       "No bitmap file specified to be edited with PBRUSH."
    ))
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:BMPEDIT" "Applikations-Manager")
      (setq prt_list '(
         "Bitmap mit Pbrush editieren"
         "Keine Bitmap-Datei spezifiziert, die mit PBRUSH bearbeitet werden soll." 
      ))
    ))
    (if (setq fn (getfiled (nth 0 prt_list) "" "bmp" 0))
       (CALL_WINEXE (strcat "pbrush.exe" " " fn))
       (princ (nth 1 prt_list))
    )
    (princ)
)

;;; ------------------------------------------------------------------
;;; EDITOR: Calls Windows Text Editor / Uses: notepad.exe

(defun C:EDITOR( / header fn)
    (setfunhelp "C:EDITOR" "Resource Manager")
    (setq header "Call Notepad Editor")
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:EDITOR" "Applikations-Manager")
      (setq header "Notepad Editor aufrufen")
    ))
    (if (setq fn (getfiled header ""  "txt,lsp,lin,pat,*" 0))
       (CALL_WINEXE (strcat "notepad.exe" " " fn))
    )
    (princ)
)

;;; ------------------------------------------------------------------
;;; EDITLISP: Calls Windows Text Editor / Uses: notepad.exe

(defun C:EDITLISP( / header fn)
    (setfunhelp "C:LISTFILE" "Lisp")
    (setq header "Edit Lisp File using Notepad")
    (if (= (getvar "LANGUAGE") 1)(progn
      (setfunhelp "C:LISTFILE" "Applikations-Manager")
      (setq header "Lisp-Datei mit Notepad Editor bearbeiten")
    ))
    (if (setq fn (getfiled header "" "lsp" 0))
      (CALL_WINEXE (strcat "notepad.exe" " " fn))
    )
    (princ)
)

;;; ------------------------------------------------------------------
;;; LOADLISP: Load Lisp Routines 

(defun C:LOADLISP( / prt_list fd fn fx)
    (setfunhelp "C:LOADLISP" "Lisp")
    (setq prt_list '("Load Lisp File" "Loading " " Done."))
    (if (= (getvar "LANGUAGE") 1) (progn
      (setfunhelp "C:LOADLISP" "Applikations-Manager")
      (setq prt_list '("Lisp Datei laden" "Lade" " Fertig."))
    ))
    (FLX_FUNC_INIT)
    (setq fd (findfile (setq fx "textout.lsp"))) 
    (setq fd (if fd (substr fd 1 (- (strlen fd) (strlen fx))) "" ))
    (if (setq fn (getfiled (nth 0 prt_list) fd "lsp" 0)) ;;; open!
      (progn
         (princ (strcat (nth 1 prt_list) (strcase fn) "..."))
         (load fn)
         (setq FLX$LOADLISP fn)
         (princ (nth 2 prt_list))
      )
    )
    (setq *ERROR* nil)
    (FLX_FUNC_EXIT)
)

;;; ==================================================================

(princ)
